--- praat.orig/makefiles/makefile.defs.linux
+++ praat/makefiles/makefile.defs.linux
@@ -7,9 +7,9 @@
 
 CXX = g++
 
-CFLAGS = -DUNIX -Dlinux `pkg-config --cflags gtk+-2.0` -Werror=missing-prototypes -Werror=implicit -Wreturn-type -Wunused -Wunused-parameter -Wuninitialized -O
+CFLAGS += -DUNIX -Dlinux `pkg-config --cflags gtk+-2.0` -Werror=missing-prototypes -Werror=implicit -Wreturn-type -Wunused -Wunused-parameter -Wuninitialized -O
 
-CXXFLAGS = $(CFLAGS) -Wshadow
+CXXFLAGS += $(CFLAGS) -Wshadow $(LDFLAGS)
 
 LINK = g++
 
